View Issue Details

IDProjectCategoryView StatusLast Update
0037467LazarusLCLpublic2021-01-23 07:35
Reporterjosh Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1 (SVN) 
Summary0037467: Form Resize Not Firing Correctly
DescriptionThe form resize event is only fired once; after you have finished resizing, it should be firing every time width,height etc changes.
This is only a recent change.

Working fine with Lazarus 2.1.0 r63401 FPC 3.3.1 x86_64-win64-win32/win64
Not working with Lazarus 2.1.0 r63673 FPC 3.3.1 x86_64-win64-win32/win64
Steps To ReproduceSample Project attached, if you resize the form, the trigger is updated only when mouse is released.

Note the project is saved for Project version 2 and above.
TagsNo tags attached.
Fixed in Revisionr63842
LazTarget-
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0036127 resolvedJuha Manninen [Patch] TForm's bounds and restored bounds are inconsistent 
related to 0037688 new Form Resize, Controls sizing very slow 
related to 0038004 resolvedBart Broersma Not executing the "OnResize" method in an embedded TForm 

Activities

josh

2020-08-02 12:43

reporter  

test_resize_fired.zip (108,026 bytes)

josh

2020-08-25 12:07

reporter   ~0125126

Tested with
Lazarus 2.1.0 r63823 FPC 3.3.1 x86_64-win64-win32/win64

Problem still exists, attached projects that keeps track of what events are fired,
form onchangebounds and onresize are not fired when resizing in Trunk

This is a major issue...
Form_events.zip (56,946 bytes)

Juha Manninen

2020-08-25 13:39

developer   ~0125127

Can you please find which revision between r63401 and r63673 caused the regression.
 https://wiki.freepascal.org/How_do_I_create_a_bug_report#Regression_caused_by_a_certain_revision

josh

2020-08-25 15:57

reporter   ~0125128

rev 63557 works
63558 and above i cant compile, various errors

Juha Manninen

2020-08-26 11:14

developer   ~0125130

Last edited: 2020-08-26 11:15

View 2 revisions

Ok, it was r63577. I reopened issue 0036127.
Any ideas of how to fix it?

Juha Manninen

2020-08-29 17:05

developer   ~0125203

This got fixed by a patch from Joeny Ang.
Please test.

josh

2020-09-01 14:27

reporter   ~0125274

Tested
Even though the events are now firing, it is having a drastic effect on resizing controls.

attached is a test project that you can turn on/off whether application.processmessages is used after resize, and enable formbegin/end update during resize.

The difference is around 4 times slower in new svn

My apps have logic for resizing that alters what is shown dependent on size of form, and a smooth resize is paramount,

test app uses just panel,label,image anf button components, so you should see the implication of the update

ps Juha Manninen, Should I leave this here, or create new bug or add to the linked one above.
Form_events_1.zip (101,183 bytes)

josh

2020-09-13 00:38

reporter   ~0125520

Just tried latest svn, and form resize is NOT firing again.

Lazarus 2.1.0 r63882 FPC 3.2.1 x86_64-win64-win32/win64

josh

2020-09-13 00:39

reporter   ~0125521

Please mark this as NOT resolved and NOT fixed.

Juha Manninen

2020-09-13 12:08

developer   ~0125522

@josh, you can also reopen your own reports.
Reopening now...

Juha Manninen

2020-09-18 11:59

developer   ~0125610

This seems to work also after r63888 (issue 0036127). Resolving.

Issue History

Date Modified Username Field Change
2020-08-02 12:43 josh New Issue
2020-08-02 12:43 josh File Added: test_resize_fired.zip
2020-08-25 12:07 josh Note Added: 0125126
2020-08-25 12:07 josh File Added: Form_events.zip
2020-08-25 13:39 Juha Manninen Note Added: 0125127
2020-08-25 15:57 josh Note Added: 0125128
2020-08-26 11:10 Juha Manninen Relationship added related to 0036127
2020-08-26 11:14 Juha Manninen Note Added: 0125130
2020-08-26 11:15 Juha Manninen Note Edited: 0125130 View Revisions
2020-08-29 17:04 Juha Manninen Assigned To => Juha Manninen
2020-08-29 17:04 Juha Manninen Status new => assigned
2020-08-29 17:05 Juha Manninen Status assigned => resolved
2020-08-29 17:05 Juha Manninen Resolution open => fixed
2020-08-29 17:05 Juha Manninen Fixed in Revision => r63842
2020-08-29 17:05 Juha Manninen LazTarget => -
2020-08-29 17:05 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2020-08-29 17:05 Juha Manninen Note Added: 0125203
2020-09-01 14:27 josh Note Added: 0125274
2020-09-01 14:27 josh File Added: Form_events_1.zip
2020-09-03 20:27 Juha Manninen Relationship added related to 0037688
2020-09-13 00:38 josh Note Added: 0125520
2020-09-13 00:39 josh Note Added: 0125521
2020-09-13 12:08 Juha Manninen Status resolved => assigned
2020-09-13 12:08 Juha Manninen Resolution fixed => open
2020-09-13 12:08 Juha Manninen Note Added: 0125522
2020-09-18 11:59 Juha Manninen Status assigned => resolved
2020-09-18 11:59 Juha Manninen Resolution open => fixed
2020-09-18 11:59 Juha Manninen Widgetset Win32/Win64 => Win32/Win64
2020-09-18 11:59 Juha Manninen Note Added: 0125610
2020-10-29 11:51 Juha Manninen Relationship added related to 0038004